Package Details: polychromatic 0.7.3-1

Git Clone URL: https://aur.archlinux.org/polychromatic.git (read-only, click to copy)
Package Base: polychromatic
Description: RGB lighting management front-end application for OpenRazer
Upstream URL: https://github.com/polychromatic/polychromatic
Licenses: GPL3
Submitter: z3ntu
Maintainer: z3ntu (lah7)
Last Packager: lah7
Votes: 27
Popularity: 0.69
First Submitted: 2016-11-25 14:35 (UTC)
Last Updated: 2021-12-23 19:56 (UTC)

Latest Comments

tjc commented on 2021-06-25 09:57 (UTC)

Doing a complete uninstall of this package, then doing a complete reinstall using polycrhomatic-git instead of this, has solved this problem for me on python3.9

0e4ef622 commented on 2020-09-26 00:46 (UTC)

Digging into this, I found that for some reason, changing the make line to make -n ... | bash makes it work, although I have no idea why that would make a difference.

0e4ef622 commented on 2020-09-26 00:22 (UTC)

I am having the same issue as @quenyen.

z3ntu commented on 2020-08-19 19:35 (UTC)

@quenyen: Builds fine for me in a clean chroot using extra-x86_64-build

quenyen commented on 2020-08-19 19:28 (UTC)

Hey this does not compile for me, it says

lessc source/data/controller.less data/pages/controller.css make: install: Permission denied make: *** [Makefile:27: install] Error 127

serjor commented on 2020-04-04 09:43 (UTC)

I didn't knew about that, so sorry for having you troubleshooting something I should have solved by myself.

Once again, thanks!!

z3ntu commented on 2020-04-04 09:39 (UTC)

@serjor: You're the one responsible for rebuilding packages from the AUR when a new Python or Perl version is released in Arch Linux. After upgrading to e.g. a new python version you should run pacman -Qo /usr/lib/python3.7 (change the version number of the old version accordingly) and rebuild all the packages listed there.

serjor commented on 2020-04-04 09:35 (UTC)

Well, that is the problem, they don't:

polychromatic /usr/lib/python3.7/
polychromatic /usr/lib/python3.7/site-packages/
polychromatic /usr/lib/python3.7/site-packages/polychromatic/
polychromatic /usr/lib/python3.7/site-packages/polychromatic/__init__.py
polychromatic /usr/lib/python3.7/site-packages/polychromatic/common.py
polychromatic /usr/lib/python3.7/site-packages/polychromatic/demo.py
polychromatic /usr/lib/python3.7/site-packages/polychromatic/preferences.py
polychromatic /usr/lib/python3.7/site-packages/polychromatic/profiles.py

Issue solved!!! I've just reinstalled the package and it is working now.

Thanks a lot for your help :-)

z3ntu commented on 2020-04-04 09:30 (UTC)

@serjor: Can you then make sure that the installed files match your python3 version? pacman -Ql polychromatic | grep usr/lib/python should result in a couple of files being packaged at /usr/lib/python3.8/site-packages/ and not e.g. python3.7.

serjor commented on 2020-04-04 09:27 (UTC)

Thanks for your quick response @z3ntu but still no luck :-(

I've changed that line and the output is the same.

Also, this is the output for "which python3" and I'd say that is the right one: /usr/bin/python3

Any other suggestion?

z3ntu commented on 2020-04-04 09:21 (UTC)

@serjor Try changing the first line of /usr/bin/polychromatic-controller to #!/usr/bin/python3 (instead of #!/usr/bin/env python3). I'm guessing you have a custom python in your PATH variable (you can check by running which python3)

serjor commented on 2020-04-04 09:15 (UTC)

Whenever I try to run the polychromatic-controller I get this output:

Traceback (most recent call last):
  File "/usr/bin/polychromatic-controller", line 52, in <module>
    import pylib.preferences as pref
ModuleNotFoundError: No module named 'pylib'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/polychromatic-controller", line 58, in <module>
    import polychromatic.preferences as pref
ModuleNotFoundError: No module named 'polychromatic'

I'm missing something??